Bucketed activity series for charts
curl --request GET \
--url https://explorer-explorer.up.railway.app/ecosystem/timeseriesimport requests
url = "https://explorer-explorer.up.railway.app/ecosystem/timeseries"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://explorer-explorer.up.railway.app/ecosystem/timeseries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"generatedAt": "2023-11-07T05:31:56Z",
"points": [
{
"bucket": "<string>",
"start": "2023-11-07T05:31:56Z",
"payments": 123,
"uniqueBuyers": 123,
"uniqueSellers": 123,
"byScheme": {},
"volume": [
{
"assetContract": "<string>",
"count": 123,
"total": "<string>",
"totalDecimal": "<string>",
"asset": "<string>",
"assetCode": "<string>"
}
]
}
],
"network": "<string>"
}{
"code": "<string>",
"reason": "<string>",
"retryable": true,
"details": {}
}payments
Bucketed activity series for charts
UTC day- or hour-bucketed payment activity, zero-filled so a chart axis is continuous, ending at the in-progress bucket (render the last point as “so far”, not a drop). Cached ~30s server-side.
GET
/
ecosystem
/
timeseries
Bucketed activity series for charts
Query Parameters
Available options:
day, hour Span in buckets when bucket=day
Required range:
1 <= x <= 90Span in buckets when bucket=hour
Required range:
1 <= x <= 168⌘I